Loading...
Searching...
No Matches
Opm::Elasticity::LagrangeCardinalFunction< ctype, rtype > Class Template Reference

Represents a cardinal function on a line. More...

`#include <shapefunctions.hpp>`

## Public Member Functions

| LagrangeCardinalFunction ()
| Empty default constructor.
| LagrangeCardinalFunction (const std::vector< rtype > &nodes_, size_t i)
| Construct a cardinal function with the given nodes.
rtype | evaluateFunction (const ctype &local) const
| Evaluate the shape function.
rtype | evaluateGradient (const ctype &local) const
| Evaluate the derivative of the cardinal function.

## Detailed Description

template<class ctype, class rtype>
class Opm::Elasticity::LagrangeCardinalFunction< ctype, rtype >

Represents a cardinal function on a line.

## Constructor & Destructor Documentation

## LagrangeCardinalFunction()

template<class ctype, class rtype>

Opm::Elasticity::LagrangeCardinalFunction< ctype, rtype >::LagrangeCardinalFunction | ( | const std::vector< rtype > & | nodes_,
|  | size_t | i )

inline

Construct a cardinal function with the given nodes.

Parameters

  [in] | nodes_ | The nodes
  [in] | i | The node this function is associated with

## Member Function Documentation

## evaluateFunction()

template<class ctype, class rtype>

rtype Opm::Elasticity::LagrangeCardinalFunction< ctype, rtype >::evaluateFunction | ( | const ctype & | local | ) | const

inline

Evaluate the shape function.

Parameters

  [in] | local | The local coordinates

## evaluateGradient()

template<class ctype, class rtype>

rtype Opm::Elasticity::LagrangeCardinalFunction< ctype, rtype >::evaluateGradient | ( | const ctype & | local | ) | const

inline

Evaluate the derivative of the cardinal function.

Parameters

  [in] | local | The local coordinates

The documentation for this class was generated from the following file:

- opm/elasticity/shapefunctions.hpp